Loading...
Searching...
No Matches
AVDOVIRpuDataHeader Struct Reference

Dolby Vision RPU data header. More...

`#include <libavutil/dovi_meta.h>`

## Data Fields

uint8_t | rpu_type
uint16_t | rpu_format
uint8_t | vdr_rpu_profile
uint8_t | vdr_rpu_level
uint8_t | chroma_resampling_explicit_filter_flag
uint8_t | coef_data_type
uint8_t | coef_log2_denom
uint8_t | vdr_rpu_normalized_idc
uint8_t | bl_video_full_range_flag
uint8_t | bl_bit_depth
uint8_t | el_bit_depth
uint8_t | vdr_bit_depth
uint8_t | spatial_resampling_filter_flag
uint8_t | el_spatial_resampling_filter_flag
uint8_t | disable_residual_flag
uint8_t | ext_mapping_idc_0_4
uint8_t | ext_mapping_idc_5_7

## Detailed Description

Dolby Vision RPU data header.

Note
  sizeof(AVDOVIRpuDataHeader) is not part of the public ABI.

Definition at line 87 of file dovi_meta.h.

## Field Documentation

## rpu_type

uint8_t AVDOVIRpuDataHeader::rpu_type

Definition at line 88 of file dovi_meta.h.

## rpu_format

uint16_t AVDOVIRpuDataHeader::rpu_format

Definition at line 89 of file dovi_meta.h.

## vdr_rpu_profile

uint8_t AVDOVIRpuDataHeader::vdr_rpu_profile

Definition at line 90 of file dovi_meta.h.

## vdr_rpu_level

uint8_t AVDOVIRpuDataHeader::vdr_rpu_level

Definition at line 91 of file dovi_meta.h.

## chroma_resampling_explicit_filter_flag

uint8_t AVDOVIRpuDataHeader::chroma_resampling_explicit_filter_flag

Definition at line 92 of file dovi_meta.h.

## coef_data_type

uint8_t AVDOVIRpuDataHeader::coef_data_type

Definition at line 93 of file dovi_meta.h.

## coef_log2_denom

uint8_t AVDOVIRpuDataHeader::coef_log2_denom

Definition at line 94 of file dovi_meta.h.

## vdr_rpu_normalized_idc

uint8_t AVDOVIRpuDataHeader::vdr_rpu_normalized_idc

Definition at line 95 of file dovi_meta.h.

## bl_video_full_range_flag

uint8_t AVDOVIRpuDataHeader::bl_video_full_range_flag

Definition at line 96 of file dovi_meta.h.

## bl_bit_depth

uint8_t AVDOVIRpuDataHeader::bl_bit_depth

Definition at line 97 of file dovi_meta.h.

## el_bit_depth

uint8_t AVDOVIRpuDataHeader::el_bit_depth

Definition at line 98 of file dovi_meta.h.

## vdr_bit_depth

uint8_t AVDOVIRpuDataHeader::vdr_bit_depth

Definition at line 99 of file dovi_meta.h.

## spatial_resampling_filter_flag

uint8_t AVDOVIRpuDataHeader::spatial_resampling_filter_flag

Definition at line 100 of file dovi_meta.h.

## el_spatial_resampling_filter_flag

uint8_t AVDOVIRpuDataHeader::el_spatial_resampling_filter_flag

Definition at line 101 of file dovi_meta.h.

## disable_residual_flag

uint8_t AVDOVIRpuDataHeader::disable_residual_flag

Definition at line 102 of file dovi_meta.h.

## ext_mapping_idc_0_4

uint8_t AVDOVIRpuDataHeader::ext_mapping_idc_0_4

Definition at line 103 of file dovi_meta.h.

## ext_mapping_idc_5_7

uint8_t AVDOVIRpuDataHeader::ext_mapping_idc_5_7

Definition at line 104 of file dovi_meta.h.

The documentation for this struct was generated from the following file:

- libavutil/dovi_meta.h